[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [E-devel] E CVS: apps/e raster



Enlightenment CVS wrote:
Enlightenment CVS committal

Author  : raster
Project : e17
Module  : apps/e

Dir     : e17/apps/e


Modified Files:
autogen.sh

Log Message:


no more autopoint. now it's causing other issues like depending on cvs.
enough. go back to automake 1.9 if u insist on building e from cvs.

===================================================================
RCS file: /cvs/e/e17/apps/e/autogen.sh,v
retrieving revision 1.19
retrieving revision 1.20
diff -u -3 -r1.19 -r1.20
--- autogen.sh	1 Nov 2006 12:52:48 -0000	1.19
+++ autogen.sh	2 Nov 2006 16:10:08 -0000	1.20
@@ -5,7 +5,9 @@
touch README -echo "Running autopoint..." ; autopoint -f || exit 1
+# no more autopoint. cuases too many hassles. too bad gentoo users - go back
+# to automake 1.9 :(
+#echo "Running autopoint..." ; autopoint -f || exit 1
 echo "Running aclocal..." ; aclocal $ACLOCAL_FLAGS -I m4 || exit 1
 echo "Running autoconf..." ; autoconf || exit 1
 echo "Running autoheader..." ; autoheader || exit 1

This will haunt us until fixed somehow like it has the past several weeks :)

I doubt that not running autopoint helps much. I agree that requiring cvs seems silly, but most often you will just have updated your *cvs* checkout when you run autogen.sh.

I think that at least running autopoint when cvs is available, as in attached patch, may reduce the noise level from this subject.

/Kim

Index: autogen.sh
===================================================================
RCS file: /cvs/e/e17/apps/e/autogen.sh,v
retrieving revision 1.20
diff -u -r1.20 autogen.sh
--- autogen.sh	2 Nov 2006 16:10:08 -0000	1.20
+++ autogen.sh	2 Nov 2006 17:35:32 -0000
@@ -5,17 +5,17 @@
 
 touch README
 
+if cvs -v >/dev/null 2>&1; then
+  echo "Running autopoint..." ; autopoint -f || exit 1
+else
 # no more autopoint. cuases too many hassles. too bad gentoo users - go back
 # to automake 1.9 :(
-#echo "Running autopoint..." ; autopoint -f || exit 1
+  echo "No cvs - Not running autopoint..."
+fi
 echo "Running aclocal..." ; aclocal $ACLOCAL_FLAGS -I m4 || exit 1
 echo "Running autoconf..." ; autoconf || exit 1
 echo "Running autoheader..." ; autoheader || exit 1
 echo "Running libtoolize..." ; (libtoolize --copy --automake || glibtoolize --automake) || exit 1
-#echo "Running gettextize..." ; gettextize -f --no-changelog&
-# hack - gettextize is interactive and demands input from a user. "screw it".
-#sleep 20
-#kill %1
 echo "Running automake..." ; automake --add-missing --copy --gnu || exit 1
 
 if [ -z "$NOCONFIGURE" ]; then